# $Revision: 1.16 $, $Date: 2006/05/31 12:55:08 $
%define		ver	418
%define		ocaml_ver	1:3.09.2
Summary:	Tk binding for OCaml
Summary(pl):	Wizania Tk dla OCamla
Name:		ocaml-camltk
Version:	0.%{ver}
Release:	9
License:	LGPL with additional linking exception
Group:		Libraries
Source0:	ftp://ftp.inria.fr/INRIA/Projects/cristal/caml-light/bazar-ocaml/ocamltk/ocamltk%{ver}.tar.gz
# Source0-md5:	9cb2c457b6425dd63fb53b93fd074e2e
Patch0:		%{name}-ac.patch
Patch1:		%{name}-tk.patch
Patch2:		%{name}-notopmain.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ncurses-devel
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for interfacing Objective Caml with the scripting language
Tcl/Tk.

This package contains files needed to run bytecode executables using
this library.

%description -l pl
Biblioteka pozwalajca na czenie programw napisanych w OCamlu i
Tcl/Tk.

Pakiet ten zawiera binaria potrzebne do uruchamiania programw
uywajcych tej biblioteki.

%package devel
Summary:	Tk binding for OCaml - development part
Summary(pl):	Wizafghjjtrfhuuiikkigde   aga   ogramistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
Library for interfacing Objective Caml with the scripting language
Tcl/Tk.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl
Biblioteka pozwalajca na czenie programw napisanych w OCamlu i
Tcl/Tk.

Pakiet ten zawiera pliki niezbdne do tworzenia programw uywajcych
tej biblioteki.

%prep
%setup -q -n camltk%{ver}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cp -f /usr/share/automake/{config,install}* .
%{__autoconf}
sed -e 's/^CPPFLAGS/#&/' rpm.config > pld.config
%configure \
	--with-config=./pld.config

%{__make} -j1 \
	all opt

cd support
mkdir tmp
cd tmp
ar x ../libcamltk.a
%{__cc} -shared -o ../dllcamltk.so *.o
cd ..
rm -rf tmp

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/camltk

%{__make} install \
	INSTALLDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml/camltk

install */dll*.so $RPM_BUILD_ROOT%{_libdir}/ocaml/camltk
(cd $RPM_BUILD_ROOT%{_libdir}/ocaml && ln -s camltk/dll*.so .)

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/camltk
cat > $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/camltk/META <<EOF
requires = ""
version = "%{version}"
directory = "+camltk"
archive(byte) = "camltk.cma"
archive(native) = "camltk.cmxa"
archive(byte,frx) = "libfrx.cma"
archive(native,frx) = "libfrx.cmxa"
archive(byte,jpf) = "libfrx.cma"
archive(native,jpf) = "libfrx.cmxa"
linkopts = ""
EOF

gzip -9nf $RPM_BUILD_ROOT%{_libdir}/ocaml/camltk/*.mli
mv -f $RPM_BUILD_ROOT%{_libdir}/ocaml/camltk/*.mli.gz .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README
%dir %{_libdir}/ocaml/camltk
%attr(755,root,root) %{_libdir}/ocaml/camltk/*.so
%attr(755,root,root) %{_libdir}/ocaml/*.so

%files devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/camltk/*.cm[ixa]*
%{_libdir}/ocaml/camltk/*.a
%{_libdir}/ocaml/camltk/Makefile.camltk
%{_libdir}/ocaml/site-lib/camltk
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-camltk.spec,v $
Revision 1.16  2006/05/31 12:55:08  glen
- rel 9 (rebuild with ocaml-3.09.2)

Revision 1.15  2006/04/16 10:28:43  glen
- rel 8

Revision 1.14  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.13  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.12  2005/12/10 18:38:05  baggins
- release 5 for ocaml 3.09.0

Revision 1.11  2005/10/11 20:13:52  paszczus
- release up to rebuild with new ocaml

Revision 1.10  2005/06/06 14:24:03  zbyniu
- BR: ncurses-devel

Revision 1.9  2005/05/21 17:01:04  ankry
- rel. 3

Revision 1.8  2004/08/27 23:35:59  havner
- [mass commit], rel up for rebuild with ocaml

Revision 1.7  2003/10/30 12:53:08  qboosh
- updated License, added tk and notopmain patches, cleanups

Revision 1.6  2003/10/26 23:33:27  arekm
- add md5 sum

Revision 1.5  2003/06/17 14:08:43  ankry
- fixed URL, added md5

Revision 1.4  2003/05/25 05:51:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/11/27 22:06:25  juandon
- new %%doc

Revision 1.2  2002/05/21 23:14:17  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.1  2002/05/16 14:35:49  malekith
- initial
- patches will come tommorrow ;)
